<!DOCTYPE html>
<html>
<head>
	<title>Lab 10</title>
</head>
<body>
	<h3 style="text-align: center; margin-top:1%; text-shadow: 0px 0px 10px #ffffff;">Subscribe!</h3>
	<br><br>
    <div class="col-md-6 col-xs-6">
    	<div id="email-exist">{{ result }}</div>
        <form method="POST" action="add-subs/">
            {% csrf_token %}
            <table style="background-color:rgba(255, 255, 255, 0.7);">
                <tr>
                    <td style="padding:5px">
                        Email
                    </td>
                    <td>
                        <input type="text" name="email" id="email" size="25" required="required"/>
                    </td>
                </tr>
                <tr>
                    <td style="padding:5px">
                        Nama
                    </td>
                    <td>
                        <input type="text" name="name" id="name" size="25" required="required"/>
                    </td>
                </tr>
                <tr>
                    <td style="padding:5px">
                        Password
                    </td>
                    <td>
                        <input type="password" name="pass" id="pass" size="25" required="required"/>
                    </td>
                </tr>
            </table>
            	<button type="submit" class="button btn-success" style="margin-top: 2%">Submit</button>
        	</form>
    	</div>
	</div>
</body>
<script src="/static/js/jquery-3.3.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.4/js/select2.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>
	$("#email").change(function () {
		console.log( $(this).val() );
		npm = $(this).val();
		$.ajax({
			method: "POST",
			url: '{% url "validate-email" %}',
			data: {
                'email': email
            },
            dataType: 'json',
            success: function (data) {
            	console.log(data)
            	if (data.is_taken) {
            		alert("Email sudah terdaftar");
            	}
            }
        });
	});
</script>
</html>